/* redlining.css
 *
 * styles used for the mapbox-based redlining pages
 */

.flex_two_column.map {
    width: 55vw; 
/*     height: 43vw; */
    z-index: 0;
}

.zoom_butt {
    padding: 8px 20px;
    border-radius: 10px;
    background-color: #2d4478;
    color: white;
    font-size: 15px;
    cursor: pointer !important;
    text-align: center !important;
    margin-bottom: 10px !important;

    margin: 0 30px;
}

.zoom_butt:hover {
    background-color: #7e99d5;
}

#page_container {z-index: 0}

#fourk_list_content {
    color: #555;
    float: left;
    height: auto;
    margin: 0px;
    padding: 0px 75px;
    line-height: 1.5em;
    margin-top: 40px;
    margin-bottom: 50px;
    padding-bottom: 30px;
}

/* Always set the map height explicitly to define the size of the div
 * element that contains the map.
 */
#world_map {
   height: 80%;
   width: 100%;
   box-shadow: 5px 10px #888888;
   border: 1px solid gray;
   float: left;
   position: fixed;
}


#msg_center {
    float: left;
    margin-left: 20px;
}

.title_span { font-size: .75em;}

div.flex_two_column {margin: 0px 1% 0px 1%;}

.header_section { z-index: 1}

/* modify a few of the thought-bubble styles from google maps */
.gm-style-iw-chr {
    display: unset;
    overflow: visible;
    right: 20px;
    top: -25px;
    width: 10%;
    position: absolute;
}
div.gm-style-iw.gm-style-iw-c {  min-width: 290px;}

.gm-style .gm-style-iw-d {    padding-top: 10px; padding-right: 40px}

@media screen and (max-width: 1150px) {
    #world_map {
        height: 60%;
        width: 95%;
    }
    #msg_center {
        width: 95%;
        margin-top: 30px;
    }
}

@media screen and (max-width: 880px) {
    #fourk_list_content {padding: 0px 50px;}

    #world_map {
    }
    #msg_center {
    }

}

@media screen and (max-width: 630px) {  .title_span { font-size: .6em}  }
@media screen and (max-width: 500px) {  .title_span { font-size: 1em;}  }

    #caption {
	margin-top: 20px;
    }


/* mapbox specific styling */

.mapboxgl-ctrl-attrib-inner {   /* improve this map block */
    display:none;
 }

.trip-info {
    position: absolute;
    font-family: sans-serif;
    margin-top: 5px;
    margin-left: 5px;
    padding: 5px;
    width: 100%;

    font-size: 14px;
    color: #222;
}
